petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatDenseGetArrayF90

Accesses a matrix array from Fortran90.

### Synopsis

    MatDenseGetArrayF90(Mat x,{Scalar, pointer :: xx_v(:,:)},integer ierr)

Not collective

### Input Parameter

x -matrix

### Output Parameters

| xx_v | - the Fortran90 pointer to the array
| ierr | - error code

### Example of Usage

          PetscScalar, pointer xx_v(:,:)
          ....
          call MatDenseGetArrayF90(x,xx_v,ierr)
          a = xx_v(3)
          call MatDenseRestoreArrayF90(x,xx_v,ierr)

### See Also

MatDenseRestoreArrayF90(), MatDenseGetArray(), MatDenseRestoreArray(), MatSeqAIJGetArrayF90()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages